# `timestamp` – Tools for representing MongoDB internal Timestamps

Tools for representing MongoDB internal Timestamps.

class bson.timestamp.Timestamp(time, inc)

  Create a new `Timestamp`.

  This class is only for use with the MongoDB opLog. If you need to store a regular timestamp, please use a `datetime`.

  Raises `TypeError` if time is not an instance of :class: int or `datetime`, or inc is not an instance of `int`. Raises `ValueError` if time or inc is not in [0, 2**32).

  Parameters:

    - time (Union[datetime.datetime, int]) – time in seconds since epoch UTC, or a naive UTC `datetime`, or an aware `datetime`

    - inc (int) – the incrementing counter

  as_datetime()

    Return a `datetime` instance corresponding to the time portion of this `Timestamp`.

    The returned datetime’s timezone is UTC.

    Return type:

      datetime

  property inc: int

    Get the inc portion of this `Timestamp`.

  property time: int

    Get the time portion of this `Timestamp`.